Update a folder
curl --request PATCH \
--url https://api.linkutm.com/api/v1/folders/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Paid campaigns 2026"
}
'import requests
url = "https://api.linkutm.com/api/v1/folders/{id}"
payload = { "name": "Paid campaigns 2026" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Paid campaigns 2026'})
};
fetch('https://api.linkutm.com/api/v1/folders/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.linkutm.com/api/v1/folders/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Paid campaigns 2026'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.linkutm.com/api/v1/folders/{id}"
payload := strings.NewReader("{\n \"name\": \"Paid campaigns 2026\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.linkutm.com/api/v1/folders/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Paid campaigns 2026\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.linkutm.com/api/v1/folders/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Paid campaigns 2026\"\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Paid campaigns",
"color": "#f97316",
"isDefault": true,
"isSystem": true,
"isActive": true,
"parentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdById": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updatedById": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"_count": {
"links": 12
}
}{
"statusCode": 400,
"message": [
"Folder name cannot be empty"
],
"error": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid or expired API key",
"error": "Unauthorized"
}{
"statusCode": 403,
"message": "Tags & Folders feature is not available on your current plan. Please upgrade.",
"error": "Forbidden"
}{
"statusCode": 404,
"message": "Folder not found",
"error": "Not Found"
}{
"statusCode": 409,
"message": "Folder already exists.",
"error": "Conflict"
}{
"statusCode": 500,
"message": "Internal server error"
}Folders
Update a folder
Update a folder.
PATCH
/
folders
/
{id}
Update a folder
curl --request PATCH \
--url https://api.linkutm.com/api/v1/folders/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Paid campaigns 2026"
}
'import requests
url = "https://api.linkutm.com/api/v1/folders/{id}"
payload = { "name": "Paid campaigns 2026" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Paid campaigns 2026'})
};
fetch('https://api.linkutm.com/api/v1/folders/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.linkutm.com/api/v1/folders/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Paid campaigns 2026'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.linkutm.com/api/v1/folders/{id}"
payload := strings.NewReader("{\n \"name\": \"Paid campaigns 2026\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.linkutm.com/api/v1/folders/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Paid campaigns 2026\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.linkutm.com/api/v1/folders/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Paid campaigns 2026\"\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Paid campaigns",
"color": "#f97316",
"isDefault": true,
"isSystem": true,
"isActive": true,
"parentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdById": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updatedById": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"_count": {
"links": 12
}
}{
"statusCode": 400,
"message": [
"Folder name cannot be empty"
],
"error": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid or expired API key",
"error": "Unauthorized"
}{
"statusCode": 403,
"message": "Tags & Folders feature is not available on your current plan. Please upgrade.",
"error": "Forbidden"
}{
"statusCode": 404,
"message": "Folder not found",
"error": "Not Found"
}{
"statusCode": 409,
"message": "Folder already exists.",
"error": "Conflict"
}{
"statusCode": 500,
"message": "Internal server error"
}Authorizations
ApiKeyAuthBearerAuth
Body
application/json
Response
The updated folder.